package com.persagy.iot.bean

case class IOTData(
                    /** 数据状态+楼号+表号+功能号+原始数据产生时间
                     * 格式： 0:293:92:2343:1611818625644
                     */
                    rowKey: String,

                    /** 楼号 */
                    build: String,

                    /** 表号 */
                    sign: String,

                    /** 功能号 */
                    funId: String,

                    /** 读取的表值 */
                    value: Double,

                    /** 产生的时间字段 */
                    eventTimeStr: String,

                    /** 产生的时间戳 */
                    eventTime: Long,

                    /** 进入系统的时间 */
                    sysTime: Long,

                    /** 分精度时间 */
                    windowEnd: Long,

                    /** 数据状态： 0：正常，1：迟到，2：丢数 */
                    status: Int
                  )
